How I upgraded Rails to version 5.1.5 and lived to tell the tale

How I upgraded Rails to version 5.1.5 and lived to tell the tale

Our Rails’ version was 4.2 and we needed to upgrade to a later version mostly because Heroku stack requires it.